com.example.instilostandfound

## Class SendMail

- java.lang.Object
- - android.os.AsyncTask<java.lang.Void,java.lang.Void,java.lang.Void>
  - - com.example.instilostandfound.SendMail

    public class SendMail
    extends android.os.AsyncTask<java.lang.Void,java.lang.Void,java.lang.Void>

Class to build the email framework parameters

### Nested Class Summary

### Nested classes/interfaces inherited from class android.os.AsyncTask

`android.os.AsyncTask.Status`

### Field Summary

### Fields inherited from class android.os.AsyncTask

`SERIAL_EXECUTOR, THREAD_POOL_EXECUTOR`

### Constructor Summary

Constructors
Constructor and Description
`SendMail(android.content.Context context, java.lang.String email, java.lang.String subject, java.lang.String message)` Constructor to initialise members

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.Void` `doInBackground(java.lang.Void... params)` Background process for setting up email parameters (gmail used here)
`protected void` `onPostExecute(java.lang.Void aVoid)` Notifies user after email is sent
`protected void` `onPreExecute()` Shows progress bar before sending the mail

### Methods inherited from class android.os.AsyncTask

`cancel, execute, execute, executeOnExecutor, get, get, getStatus, isCancelled, onCancelled, onCancelled, onProgressUpdate, publishProgress`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SendMail

    public SendMail(android.content.Context context,
                    java.lang.String email,
                    java.lang.String subject,
                    java.lang.String message)

Constructor to initialise members

Parameters:
  `context` - calling class
  `email` - email of the reciever
  `subject` - subject of the email
  `message` - Content of the email

### Method Detail

#### onPreExecute

    protected void onPreExecute()

Shows progress bar before sending the mail

Overrides:
  `onPreExecute` in class `android.os.AsyncTask<java.lang.Void,java.lang.Void,java.lang.Void>`

#### onPostExecute

    protected void onPostExecute(java.lang.Void aVoid)

Notifies user after email is sent

Overrides:
  `onPostExecute` in class `android.os.AsyncTask<java.lang.Void,java.lang.Void,java.lang.Void>`
Parameters:
  `aVoid` -

#### doInBackground

    protected java.lang.Void doInBackground(java.lang.Void... params)

Background process for setting up email parameters (gmail used here)

Specified by:
  `doInBackground` in class `android.os.AsyncTask<java.lang.Void,java.lang.Void,java.lang.Void>`
Parameters:
  `params` - list of parameters
Returns:
  null parameter